using System;

namespace LeafWeb.Web.Charter
{
	[Serializable]
	public class XyPoint
	{
		public XyPoint(String x, String y)
		{
			X = Double.Parse(x);
			Y = Double.Parse(y);
		}

		public double X { get; private set; }

		public double Y { get; private set; }

		public bool YIsInRange(double lowEnd, double highEnd)
		{
			return (Y >= lowEnd) && (Y <= highEnd);
		}
	}
}